Name:       systemd-docker
Version:    0.2.1
Release:    1.vision4
Summary:	Wrapper for "docker run" to handle systemd quirks
License:	Apache 2.0
Group:		System Environment/Base
URL:		https://github.com/ibuildthecloud/systemd-docker
Source0:	%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	golang
%define  debug_package %{nil}

%description
This is a wrapper for docker run so that you can sanely run Docker
containers under systemd. The key thing that this wrapper does is move
the container process from the cgroups setup by Docker to the service
unit's cgroup. This handles a bunch of other quirks so please read
through documentation to get an understanding of all the implications of
running Docker under systemd.

Using this wrapper you can manage containers through systemctl or the
docker CLI and everything should just stay in sync. Additionally you can
leverage all the cgroup functionality of systemd and systemd-notify.

%prep
%setup -q


%build
mkdir -p bin
./build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -f bin/systemd-docker $RPM_BUILD_ROOT%{_bindir}

%files
%defattr(-,root,root,-)
%{_bindir}/systemd-docker

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 04 2016 Charles J Brabec <brabec@ncsu.edu> - 0.2.1-1.vision4
- Created RPM from github distro

